> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# サービスのバックアップ設定を取得

> サービスのバックアップ設定を返します。



## OpenAPI

````yaml /ja/products/cloud/api-reference/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/backupConfiguration
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/backupConfiguration:
    get:
      tags:
        - Backup
      summary: サービスのバックアップ設定を取得
      description: サービスのバックアップ設定を返します。
      parameters:
        - description: サービスを所有する組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: サービスの ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/BackupConfiguration'
                  status:
                    description: HTTP ステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功レスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 詳細なエラーの説明。
                    type: string
                  status:
                    description: HTTP ステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと判断された何らかの理由により、サーバーはリクエストを処理できないか、処理しません。
components:
  schemas:
    BackupConfiguration:
      properties:
        backupPeriodInHours:
          description: 各バックアップの実行間隔（時間単位）。
          type: number
        backupRetentionPeriodInHours:
          description: バックアップを利用可能な状態で保持する最小期間（時間単位）。
          type: number
        backupStartTime:
          description: >-
            バックアップを実行する時刻（HH:MM 形式、UTC タイムゾーンで判定）。指定すると、バックアップの実行間隔は 24
            時間ごとにリセットされます。
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud コンソールで取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````